package com.pm.patrol.service;

import java.util.List;
import com.pm.common.config.PageData;

/**
 * 巡更记录Service接口
 *
 * @author pm
 * @date 2025-06-03
 */
public interface IPatrolRecordService {
    /**
     * 查询巡更记录
     */
    public PageData selectPatrolRecordById(Long id);

    /**
     * 查询巡更记录列表
     */
    public List<PageData> selectPatrolRecordList(PageData pd);

    /**
     * 新增巡更记录
     */
    public int insertPatrolRecord(PageData pd);

    /**
     * 修改巡更记录
     */
    public int updatePatrolRecord(PageData pd);

    /**
     * 删除巡更记录
     */
    public int deletePatrolRecordById(Long id);
}